#include "musiclibrarymodel.h"
#include "musiclibrarymodelprivate.h"

MusicLibraryModel::MusicLibraryModel(MusicLibrary *l)
    : QObject(l)
{
    pPtr = new MusicLibraryModelPrivate(l);
}

MusicLibraryModel::~MusicLibraryModel()
{
    delete pPtr;
}

QAbstractItemModel *MusicLibraryModel::tree()
{
    return pPtr->tree();
}

QStandardItemModel *MusicLibraryModel::stdTree()
{
    return pPtr->stdTree();
}

QAbstractItemModel *MusicLibraryModel::artists()
{
    return pPtr->artists();
}

QAbstractItemModel *MusicLibraryModel::records()
{
    return pPtr->records();
}

QAbstractItemModel *MusicLibraryModel::songs()
{
    return pPtr->songs();
}
