#ifndef MUSICLIBRARYSTDTREEPRIVATE_H
#define MUSICLIBRARYSTDTREEPRIVATE_H

#include <QStandardItemModel>

class MusicLibrary;
class MusicObject;

class MusicLibraryStdTreePrivate : public QStandardItemModel
{
    Q_OBJECT

public:
    MusicLibraryStdTreePrivate(MusicLibrary *library);

private slots:
    void objectChanged(MusicObject *obj);

private:
    QString objToString(MusicObject *obj) const;
    int objType(MusicObject *obj) const;

private:
    MusicLibrary *library;
};

#endif // MUSICLIBRARYSTDTREEPRIVATE_H
