#ifndef MUSICLIBRARYMODELPRIVATE_H
#define MUSICLIBRARYMODELPRIVATE_H

#include "musiclibrarymodel.h"

class MusicLibraryModelPrivate
{
public:
    MusicLibraryModelPrivate(MusicLibrary *library);
    QAbstractItemModel *tree();
    QStandardItemModel *stdTree();
    QAbstractItemModel *artists();
    QAbstractItemModel *records();
    QAbstractItemModel *songs();

private:
    MusicLibrary *library;
    QAbstractItemModel *treeModel;
    QStandardItemModel *stdTreeModel;
    QAbstractItemModel *artistsList;
    QAbstractItemModel *recordsList;
    QAbstractItemModel *songsList;
};

#endif // MUSICLIBRARYMODELPRIVATE_H
